package com.xjrsoft.common.enums;

/**
 * @description： 教师课时补充类型 course_time_type
 * @author： dzx
 * @create： 2024年9月27日
 * @Version 1.0
 */
public enum CourseTimeTypeEnum {

    CTT001("CTT001", "教研会"),

    CTT002("CTT002", "督导听课"),

    CTT003("CTT003", "临近三年退休政策"),

    CTT004("CTT004", "出题"),

    CTT005("CTT005", "阅卷"),

    CTT006("CTT006", "周末培优");

    final String code;
    final String value;

    public String getCode() {
        return this.code;
    }

    public String getValue() {
        return this.value;
    }

    CourseTimeTypeEnum(final String code, final String message) {
        this.code = code;
        this.value = message;
    }

    public static String getValue(String code) {
        for (CourseTimeTypeEnum item : values()) {
            if (item.getCode().equals(code)) {
                return  item.getValue();
            }
        }
        return null;
    }

    public static String[] getCodes() {
        String[] codes = {"CTT001", "CTT002", "CTT003", "CTT004", "CTT005", "CTT006"};
        return codes;
    }

    public static String[] getValues() {
        String[] values = {"教研会", "督导听课", "临近三年退休政策", "出题", "阅卷", "周末培优"};
        return values;
    }
}
